.map-popup {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: auto;
  max-height: 40vh;
  padding: 2px;
}

.map-popup-title {
  display: flex;
  flex-direction: row;
  width: -moz-available;
  width: -webkit-fill-available;
  justify-content: space-between;
}

.map-popup-name {
  font-weight: bold;
}

.map-popup-distance {
  font-weight: 100;
}

.map-popup-list {
  box-sizing: border-box;
  margin: 10px;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  max-width: -moz-available;
  max-width: -webkit-fill-available;
  margin-bottom: 0;
  font-size: 0.75em;
  width: 100%;
}

.map-popup-list-row {
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  padding: 5px;
  gap: 5px;
}

.map-popup-list-row:nth-child(odd) {
  background-color: #ddd;
}

.map-popup-list-row:nth-child(even) {
  background-color: #f9f9f9;
}

.map-popup-list-row label {
  font-weight: bold;
  word-break: break-all;
  display: block;
  width: 6.5em;
}

.map-popup-list-row span {
  display: block;
  width: calc(100% - 6.5em);
  word-break: break-word;
}

.map-popup-more {
  cursor: pointer;
  flex-shrink: 0;
  width: 6em;
  line-height: 2em;
  padding: 0;
  margin: auto;
  vertical-align: middle;
  border-width: 0;
  margin-bottom: 10px;
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
  height: calc(1.4em * 0.9);
  font-size: calc(0.9em * 0.75);
  line-height: calc(0.9em * 0.9);
}

.map-popup-nav-button {
  display: inline-block;
  text-align: center;
  padding: 5px 10px;
  color: white !important;
  text-decoration: none;
  border-radius: 4px;
  font-size: 0.75em;
}

.leaflet-popup-content-wrapper {
  max-width: 90vw;
}

.hidden-force {
  display: none !important;
}
